Functions
Functions
Graphics » HAL DC » GDC MIPI
Collaboration diagram for Functions:

## Functions
void | hal_gdc_MIPI_out (int cmd)
| Send command or data to MIPI Interface. More...
void | hal_gdc_MIPI_CFG_out (int cfg)
| Configure hal_gdc's serial interace. More...
int | hal_gdc_MIPI_in (void)
| Read data from MIPI interface. More...
unsigned | hal_gdc_MIPI_read (int cmd, int n_params)
| Read MIPI DBI Type-B parameters. More...
void | hal_gdc_MIPI_cmd (int cmd)
| Send DCS command to display over the physical interface. More...
void | hal_gdc_MIPI_cmd_params (int cmd, int n_params,...)
| Similar to hal_gdc_MIPI_cmd, with command parameters. More...
int | hal_gdc_MIPI_updateregion (int start_x, int start_y, int end_x, int end_y)
| Does Partial Update in MIPI. More...
void | hal_gdc_MIPI_enable (void)
| Convenience function. More...
void | hal_gdc_MIPI_disable (void)
| Convenience function. More...
void | hal_gdc_MIPI_set_pixel_format (int pixel_format)
| Set the display pixel format. More...
void | hal_gdc_MIPI_set_position (int minx, int miny, int maxx, int maxy)
| Set the frame position. More...
void | hal_gdc_MIPI_set_partial_mode (int minx, int miny, int maxx, int maxy)
| Set the display partial area and enter Partial Display Mode. More...
void | hal_gdc_MIPI_start_frame_transfer (void)
| Convenience function. More...

## Detailed Description

## Function Documentation

## ◆ hal_gdc_MIPI_CFG_out()

void hal_gdc_MIPI_CFG_out | ( | int | cfg | ) |

Configure hal_gdc's serial interace.

Parameters

  [in] | cfg | configuration mode

## ◆ hal_gdc_MIPI_cmd()

void hal_gdc_MIPI_cmd | ( | int | cmd | ) |

Send DCS command to display over the physical interface.

Parameters

  [in] | cmd | MIPI DCS command

## ◆ hal_gdc_MIPI_cmd_params()

void hal_gdc_MIPI_cmd_params | ( | int | cmd,
|  | int | n_params,
|  |  | ...
| ) |  |

Similar to hal_gdc_MIPI_cmd, with command parameters.

Parameters

  [in] | cmd | MIPI DCS command
  [in] | n_params | Number of cmd parameters

## ◆ hal_gdc_MIPI_disable()

void hal_gdc_MIPI_disable | ( | void |  | ) |

Convenience function.

Sends display_off and enter_sleep_mode commands.

## ◆ hal_gdc_MIPI_enable()

void hal_gdc_MIPI_enable | ( | void |  | ) |

Convenience function.

Sends exit_sleep and display_on commands.

## ◆ hal_gdc_MIPI_in()

int hal_gdc_MIPI_in | ( | void |  | ) |

Read data from MIPI interface.

Returns
  data form MIPI interface

## ◆ hal_gdc_MIPI_out()

void hal_gdc_MIPI_out | ( | int | cmd | ) |

Send command or data to MIPI Interface.

Parameters

  [in] | cmd | command or data to be sent

## ◆ hal_gdc_MIPI_read()

unsigned hal_gdc_MIPI_read | ( | int | cmd,
|  | int | n_params
| ) |  |

Read MIPI DBI Type-B parameters.

Parameters

  [in] | cmd | MIPI DCS command
  [in] | n_params | Number of parameters to read (max: 3)

Returns
  The read parameters

## ◆ hal_gdc_MIPI_set_partial_mode()

void hal_gdc_MIPI_set_partial_mode | ( | int | minx,
|  | int | miny,
|  | int | maxx,
|  | int | maxy
| ) |  |

Set the display partial area and enter Partial Display Mode.

Parameters

  [in] | minx | partial areas' minimum x
  [in] | miny | partial areas' minimum y
  [in] | maxx | partial areas' maximum x
  [in] | maxy | partial areas' maximum y

## ◆ hal_gdc_MIPI_set_pixel_format()

void hal_gdc_MIPI_set_pixel_format | ( | int | pixel_format | ) |

Set the display pixel format.

Sends set_pixel_format command to the display.

Parameters

  [in] | pixel_format | pixel format

## ◆ hal_gdc_MIPI_set_position()

void hal_gdc_MIPI_set_position | ( | int | minx,
|  | int | miny,
|  | int | maxx,
|  | int | maxy
| ) |  |

Set the frame position.

Sends set_column_address and set_page_address commands.

Parameters

  [in] | minx | frames' minimum x
  [in] | miny | frames' minimum y
  [in] | maxx | frame's maximum x
  [in] | maxy | frame's maximum y

## ◆ hal_gdc_MIPI_start_frame_transfer()

void hal_gdc_MIPI_start_frame_transfer | ( | void |  | ) |

Convenience function.

Send a write_memory_start command in order to start transfering the frame to the display.

## ◆ hal_gdc_MIPI_updateregion()

int hal_gdc_MIPI_updateregion | ( | int | start_x,
|  | int | start_y,
|  | int | end_x,
|  | int | end_y
| ) |  |

Does Partial Update in MIPI.

Parameters

  [in] | start_x | start x coordinate
  [in] | start_y | start y coordinate
  [in] | end_x | end x coordinate
  [in] | end_y | end y coordinate

Returns
  Always 1, user can ignore the result